Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 84538

Summary: Hang at Booting in to SMP mode
Product: [Retired] Red Hat Linux Reporter: RaymondTw <raymond.wu>
Component: kernelAssignee: Arjan van de Ven <arjanv>
Status: CLOSED WONTFIX QA Contact: Brian Brock <bbrock>
Severity: high Docs Contact:
Priority: medium    
Version: 8.0   
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2004-09-30 15:40:33 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description RaymondTw 2003-02-18 16:42:27 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows 98)

Description of problem:

The RedHat 8.0 is hang at boot to SMP mode after disable the Hyper Threading 
mode of CPU (P4). But boot into normal mode is OK.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Install the RedHat 8.0 with the HyperThreading enabled CPU 
2.Boot to SMP mode : OK (The CPU HyperThreading enabled)
3.Boot to SMP mode : hang (if the CPU HyperThreading disabled)
    

Additional info:

1.Install the RedHat 7.3 with the HyperThreading enabled CPU 
2.Boot to SMP mode : OK (The CPU HyperThreading enabled)
3.Boot to SMP mode : OK (if the CPU HyperThreading disabled)

Comment 1 Arjan van de Ven 2003-02-18 16:48:35 UTC
how many physical cpu's do you have? one?
if you have HT off you should then probably just boot into the UP kernel...

Comment 2 RaymondTw 2003-02-25 09:15:04 UTC
Yes, this is only happne in one physical cpu and disable the HT, and then enter 
the SMP mode.
If two physical cpu and disable the HT, and enter the SMP mode, it's ok.
But in RedHat 7.3 it is OK to boot into SMP mode with HT disable, so out 
customer just us ask why?

Comment 3 RaymondTw 2003-03-05 00:55:09 UTC
Dear Arjan van de Ven on,
So,does the system hang is normal(or acceptable) that plugged single processor  
to enter the SMP mode in RedHat 8.0?


Comment 4 Arjan van de Ven 2003-03-05 10:14:50 UTC
1 phsyical, 2 logical CPU's should just work with the SMP kernel.
1 phsyical, 1 logical CPU doesnt' work on all machines unfortionatly with the
SMP kernel

Comment 5 RaymondTw 2003-03-05 10:34:12 UTC
Dear Arjan van de Ven on,

Thanks for your comments. Our customer just wandering that in RedHat v7.3, it 
is OK to install/operate the the Linux with "1 phsyical, 1 logical CPU" in SMP 
mode, but in RedHat 8.0, it's failed.
The RedHat Linux was installed by "1 phsyical, 2 logical CPU's", and the 
disable th HyperThreading ==> "1 phsyical, 1 logical CPU". Then in v7.3 it is 
OK to enter Linux enviroment, but in v8.0 it is failed. So, which verion is 
correct for this operation?

Comment 6 Bugzilla owner 2004-09-30 15:40:33 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/